Subject: [bug#44663] [PATCH] ui: Launch $PAGER through the shell.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 16 Nov 2020 09:16:57 +0100

Daniel Brooks <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> What’s the rationale though?  Are there cases where this makes a
>> practical difference?
>
> The error I hit was effectively running PAGER=less -FXRS guix search
> foo. Everything else that uses PAGER handles this case just fine.

Oh, I see, hmm.  I feel that going through the shell makes things more
brittle, but you describe a valid use case, so maybe we should just go
ahead and apply the patch Tobias posted.

Ludo’.